#include <nds.h>
#include <nds/interrupts.h>



void ARM7irqVBlank ()
{
  /* Interdit les interruptions. */
  IME = IME_DISABLED ;

  // Tell the DS we handled the VBLANK interrupt
  /* IE: Interrupt Enable : quelles interruptions sont autorises. */
  /* IF: Interrupt Flag: quelle interruption s'est produite. */
  IF = IF | IRQ_VBLANK ;
  VBLANK_INTR_WAIT_FLAGS = IF | IE ;

  /* Rtablit les interruptions. */
  IME = IME_ENABLED ;
}



int main (int argc, char ** argv) {
  powerON (POWER_SOUND) ;
  SOUND_CR = SOUND_ENABLE | SOUND_VOL(0x7F) ;

  irqInitHandler (irqDefaultHandler) ;
  irqSet (IRQ_VBLANK, ARM7irqVBlank) ;
  irqEnable(IRQ_VBLANK) ;

  for (;;) swiWaitForVBlank() ;
  return (0) ;
}
