#ifndef __TOUCHPAD_H__
#define __TOUCHPAD_H__

// Those are pixel positions of the two points you click when calibrating
#define TOUCH_CNTRL_X1   (*(vu8*)0x027FFCDC)
#define TOUCH_CNTRL_Y1   (*(vu8*)0x027FFCDD)
#define TOUCH_CNTRL_X2   (*(vu8*)0x027FFCE2)
#define TOUCH_CNTRL_Y2   (*(vu8*)0x027FFCE3)

// Those are the corresponding touchscreen values:
#define TOUCH_CAL_X1   (*(vu16*)0x027FFCD8)
#define TOUCH_CAL_Y1   (*(vu16*)0x027FFCDA)
#define TOUCH_CAL_X2   (*(vu16*)0x027FFCDE)
#define TOUCH_CAL_Y2   (*(vu16*)0x027FFCE0)

extern s16 TOUCH_WIDTH ;
extern s16 TOUCH_HEIGHT ;
extern s16 CNTRL_WIDTH ;
extern s16 CNTRL_HEIGHT ;

void init_calibration () ;

// Reading pixel position:
#define CustomGetTouchpadXY(x,y) \
   { \
   x = (s16) ((IPC->touchX - (s16) TOUCH_CAL_X1) * CNTRL_WIDTH  /          \
	      TOUCH_WIDTH  + (s16) TOUCH_CNTRL_X1) ;                       \
   y = (s16) ((IPC->touchY - (s16) TOUCH_CAL_Y1) * CNTRL_HEIGHT /          \
	      TOUCH_HEIGHT + (s16) TOUCH_CNTRL_Y1) ;                       \
   }

#endif
